const path = require('path')

exports.up = async (ctx) => {
    if ( await ctx.flap.exists(path.resolve(_flitter.root, 'docker.env')) ){
        await ctx.flap.copy(path.resolve(_flitter.root, 'docker.env'), path.resolve(_flitter.root, 'docker.env.backup'))
        await ctx.flap.delete(path.resolve(_flitter.root, 'docker.env'))
    }
    
    await ctx.flap.write_file(path.resolve(_flitter.root, 'docker.env'), `SERVER_PORT=8000
LOGGING_LEVEL=1

DATABASE_HOST=db
DATABASE_PORT=27017
DATABASE_NAME=flitter
DATABASE_AUTH=false

SECRET=changeme
ENVIRONMENT=production
`)
}

exports.down = async (ctx) => {
    await ctx.flap.delete(path.resolve(_flitter.root, 'docker.env'))
    
    if ( await ctx.flap.exists(path.resolve(_flitter.root, 'docker.env.backup')) ){
        await ctx.flap.copy(path.resolve(_flitter.root, 'docker.env.backup'), path.resolve(_flitter.root, 'docker.env'))
        await ctx.flap.delete(path.resolve(_flitter.root, 'docker.env.backup'))
    }
}